System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenSerializer To be added.

The class used for serializing and deserializing security tokens, security key identifiers, and security key identifier clauses defined in the WS-Security, WS-Trust, and WS-SecureConversation security specifications.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the key identifier clause core can be read using the specified reader.

  true if the key identifier clause core can be read using the specified reader; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the key identifier core can be read using the specified reader.

  true if the key identifier core can be read using the specified reader; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the token core can be read using the specified reader.

  true if the token core can be read using the specified reader; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the key identifier clause core with a specified key identifier clause can be written.

  true if the key identifier clause core with the specified key identifier clause can be written; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the key identifier core with a specified key identifier clause can be written.

  true if the key identifier core with the specified key identifier clause can be written; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value that indicates whether the token core with a specified security token can be written.

  true if the token core with the specified security token can be written; otherwise, false.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` `` To be added. To be added. To be added.

  Creates a key identifier clause from a token expressed as XML.

  The created security key identifier.

- Property
  4.0.0.0
  System.ServiceModel.Security.WSSecurityTokenSerializer To be added. To be added.

  Gets a default instance of this class.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether to emit BSP required attributes.

- Method
  4.0.0.0
  System.String `` To be added. To be added.

  Gets the URI of the security token of the specified type.

  The URI of the security token of the specified type.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum key derivation label length.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum key derivation nonce length.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum key derivation offset.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` To be added. To be added.

  Reads the key identifier clause core using the specified .

  The security key identifier clause that was read.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifier `` To be added. To be added.

  Reads the key identifier core using the specified .

  The security key identifier that was read.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken `` `` To be added. To be added. To be added.

  Reads the token core using the specified .

  The security token that was read.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityVersion To be added. To be added.

  Gets the security version.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Writes the key identifier clause core with a specified key identifier clause using the specified .

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Writes the key identifier core with a specified key identifier clause using the specified .

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Writes the token core with a specified security token using the specified .